Namespace
elastic
Image / Tag
filebeat:sha256-ebf0442e28644be98b8d9a5e473068800a9bf15301666622727cc3e1ff2556e4
Content Digest
sha256:ebf0442e28644be98b8d9a5e473068800a9bf15301666622727cc3e1ff2556e4
Details
Created

2026-08-05 13:31:22 UTC

Size

127 MB

Content Digest
Labels
  • architecture
    x86_64
  • build-date
    2026-08-03T17:40:34Z
  • com.redhat.component
    ubi10-minimal-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • cpe
    cpe:/o:redhat:enterprise_linux:10.2
  • description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • distribution-scope
    public
  • io.buildah.version
    1.44.0
  • io.k8s.description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • io.k8s.display-name
    Filebeat image
  • io.openshift.expose-services
  • io.openshift.tags
    minimal rhel10
  • license
    Elastic License
  • maintainer
    infra@elastic.co
  • name
    filebeat
  • org.label-schema.build-date
    2026-08-05T13:24:18Z
  • org.label-schema.license
    Elastic License
  • org.label-schema.name
    filebeat
  • org.label-schema.schema-version
    1.0
  • org.label-schema.url
    https://www.elastic.co/beats/filebeat
  • org.label-schema.vcs-ref
    d764b8e2e197dec956bffab08afd50afb6811e9b
  • org.label-schema.vcs-url
    github.com/elastic/beats/v7
  • org.label-schema.vendor
    Elastic
  • org.label-schema.version
    9.4.5
  • org.opencontainers.image.authors
    infra@elastic.co
  • org.opencontainers.image.created
    2026-08-05T13:24:18Z
  • org.opencontainers.image.licenses
    Elastic License
  • org.opencontainers.image.revision
    b9fdece4d2c962654c1c4a6f9578551c79e4c4c6
  • org.opencontainers.image.title
    Filebeat
  • org.opencontainers.image.vendor
    Elastic
  • release
    1
  • summary
    filebeat
  • url
    https://www.elastic.co/beats/filebeat
  • vcs-ref
    b9fdece4d2c962654c1c4a6f9578551c79e4c4c6
  • vcs-type
    git
  • vendor
    Elastic
  • version
    9.4.5

Environment
ELASTIC_CONTAINER

true

GODEBUG

madvdontneed=1

LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE

/

PATH

/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

container

oci


Layers

[#000] sha256:ac98f959ddf9baac24d46ce09bc63e26a45b74b502da97c83be3cdfcd2b5bad0 - 26.23% (33.3 MB)

[#001] sha256:8208a699ccbfc83d385e76a2ec833f59e8ea987ff57fb6ad248e91d40b45373c - 2.97% (3.76 MB)

[#002] sha256:c6b6aef0b2baa01aaf6c7660dacf10bdfe957e6175f4d4975af34603295a345d - 0.01% (9.5 KB)

[#003] sha256:70ec2d72ce087417871160c3d3b573f3e04ededafa44ccac2158226f76dce54c - 0.0% (607 Bytes)

[#004] sha256:00529c30f1be23b3a60465f5443ee1f5b07e6458b894400aeb7b10c89a702975 - 0.0% (614 Bytes)

[#005] sha256:a2121f8c56a8a6469e482e88a482b4b1cde48a1ace061dea0020ebc3183854c0 - 56.34% (71.5 MB)

[#006] sha256:3de693b320ebff04a82fdfd20628698eacbfc5dc86b4abf8d19bba6b8d396ec1 - 0.0% (123 Bytes)

[#007] sha256:43f11f9a13cace6e303fc91e97781c4d92843cc8b93732ad40d44a3745ea2eae - 0.0% (5.42 KB)

[#008] sha256:01a009afd0ce4cf4b11c2ffaa4fec822288f95bd10a2b16d9c7a54faf2642372 - 0.17% (226 KB)

[#009] sha256:4d823f6eb26d34d848d5c14e36a0ce09a5b9ecdc3f353eba3ce7470683e7d21a - 0.0% (514 Bytes)

[#010] sha256:db6996947886ceb41159a63ed256258407358c3b892f245efe884a08dcc12b1b - 0.0% (1.11 KB)

[#011] sha256:f75d9771273a05628cfa501813b8de8f5d464fe7229f36339d9a139e34a4491d - 14.28% (18.1 MB)

[#012] sha256:bd9ddc54bea929a22b334e73e026d4136e5b73f5cc29942896c72e4ece69b13d - 0.0% (34 Bytes)


History
2026-08-03 17:41:35 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2026-08-03 17:41:35 UTC

/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."

2026-08-03 17:41:35 UTC

/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"

2026-08-03 17:41:35 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi10-minimal-container" name="ubi10/ubi-minimal" version="10.2" cpe="cpe:/o:redhat:enterprise_linux:10.2" distribution-scope="public"

2026-08-03 17:41:35 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2026-08-03 17:41:35 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 10."

2026-08-03 17:41:35 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2026-08-03 17:41:35 UTC

/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2026-08-03 17:41:35 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 10 Minimal"

2026-08-03 17:41:35 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2026-08-03 17:41:36 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel10"

2026-08-03 17:41:36 UTC

/bin/sh -c #(nop) ENV container oci

2026-08-03 17:41:36 UTC

/bin/sh -c #(nop) COPY dir:ed77bb373e14ffa6b3783b4ca84874dcd05c0d6bea35c76071d4ccb41ebeef18 in /

2026-08-03 17:41:36 UTC

/bin/sh -c #(nop) COPY file:5de33b5fc08b00635bccf9134a18978dba13e2250aa51838f9969515a3957847 in /etc/yum.repos.d/.

2026-08-03 17:41:36 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2026-08-03 17:41:36 UTC

/bin/sh -c #(nop) COPY dir:7e4a63454f39409c213733c178806885b5a316509bc6872a23eca6721c2a73bc in /usr/share/buildinfo/

2026-08-03 17:41:36 UTC

/bin/sh -c #(nop) COPY dir:7e4a63454f39409c213733c178806885b5a316509bc6872a23eca6721c2a73bc in /root/buildinfo/

2026-08-03 17:41:36 UTC

/bin/sh -c #(nop) LABEL "org.opencontainers.image.created"="2026-08-03T17:40:34Z" "org.opencontainers.image.revision"="b9fdece4d2c962654c1c4a6f9578551c79e4c4c6" "build-date"="2026-08-03T17:40:34Z" "architecture"="x86_64" "vcs-ref"="b9fdece4d2c962654c1c4a6f9578551c79e4c4c6" "vcs-type"="git" "release"="1785778687"org.opencontainers.image.created=2026-08-03T17:40:34Z,org.opencontainers.image.revision=b9fdece4d2c962654c1c4a6f9578551c79e4c4c6

2026-08-05 13:31:06 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install findutils shadow-utils ca-certificates gawk libcap xz tar && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit

2026-08-05 13:31:06 UTC (buildkit.dockerfile.v0)

LABEL org.label-schema.build-date=2026-08-05T13:24:18Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.4.5 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=d764b8e2e197dec956bffab08afd50afb6811e9b io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2026-08-05T13:24:18Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.4.5 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.

2026-08-05 13:31:06 UTC (buildkit.dockerfile.v0)

ENV ELASTIC_CONTAINER=true

2026-08-05 13:31:06 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-08-05 13:31:06 UTC (buildkit.dockerfile.v0)

ENV GODEBUG=madvdontneed=1

2026-08-05 13:31:06 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit

2026-08-05 13:31:06 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit

2026-08-05 13:31:06 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit

2026-08-05 13:31:17 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat /usr/share/filebeat # buildkit

2026-08-05 13:31:17 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir /licenses # buildkit

2026-08-05 13:31:17 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit

2026-08-05 13:31:17 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit

2026-08-05 13:31:18 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit

2026-08-05 13:31:18 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit

2026-08-05 13:31:22 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit

2026-08-05 13:31:22 UTC (buildkit.dockerfile.v0)

USER 1000

2026-08-05 13:31:22 UTC (buildkit.dockerfile.v0)

ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/

2026-08-05 13:31:22 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/filebeat

2026-08-05 13:31:22 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]

2026-08-05 13:31:22 UTC (buildkit.dockerfile.v0)

CMD ["--environment" "container"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete